commit: 5440cd43c90d4c819e67a0f579bc7165a184a87f
Author: Sebastian Pipping <sebastian <AT> pipping <DOT> org>
AuthorDate: Wed Aug 20 18:05:31 2014 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Aug 20 18:10:12 2014 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=5440cd43
media-fonts/wqy-zenhei: 0.9.45
---
media-fonts/wqy-zenhei/wqy-zenhei-0.9.45.ebuild | 33 +++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/media-fonts/wqy-zenhei/wqy-zenhei-0.9.45.ebuild
b/media-fonts/wqy-zenhei/wqy-zenhei-0.9.45.ebuild
new file mode 100644
index 0000000..b80d4e5
--- /dev/null
+++ b/media-fonts/wqy-zenhei/wqy-zenhei-0.9.45.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit font
+
+MY_PV=${PV/_/-}
+DESCRIPTION="Chinese font"
+HOMEPAGE="http://sourceforge.net/projects/wqy/"
+SRC_URI="mirror://sourceforge/project/wqy/${PN}/${PV}%20%28Fighting-state%20RC1%29/wqy-zenhei-${PV}.tar.gz"
+
+LICENSE="GPL-2-with-font-exception"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86"
+IUSE=""
+
+S="${WORKDIR}"/${PN}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ insinto ${FONTDIR}
+ newins ${PN}.{ttc,ttf} || die
+
+ export FONT_CONF=( 43-wqy-zenhei-sharp.conf 44-wqy-zenhei.conf )
+ font_fontconfig
+
+ dodoc AUTHORS ChangeLog README || die
+}